summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Michalis Pappas2010-12-29 03:46:19 +0100
committer Niels Horn2010-12-29 03:46:19 +0100
commit5281f8eef4dc18d4b79c59d5136274f008274f25 (patch)
tree4cbf2f1288e2d6ae58ca94867d8acb85529999bd /system
parent0d4fec00042c8b3998a50ec5361fbf4f2ae0c8fa (diff)
downloadslackbuilds-5281f8eef4dc18d4b79c59d5136274f008274f25.tar.gz
system/uae: Added (amiga emulator)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/uae/README2
-rw-r--r--system/uae/slack-desc19
-rw-r--r--system/uae/uae.SlackBuild81
-rw-r--r--system/uae/uae.info10
4 files changed, 112 insertions, 0 deletions
diff --git a/system/uae/README b/system/uae/README
new file mode 100644
index 0000000000..f19610e25c
--- /dev/null
+++ b/system/uae/README
@@ -0,0 +1,2 @@
+UAE is a mostly complete software emulation of the hardware of the
+Commodore Amiga 500/1000/2000.
diff --git a/system/uae/slack-desc b/system/uae/slack-desc
new file mode 100644
index 0000000000..b70c01eeef
--- /dev/null
+++ b/system/uae/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+uae: uae (amiga emulator)
+uae:
+uae: UAE is a mostly complete software emulation of the hardware of the
+uae: Commodore Amiga 500/1000/2000.
+uae:
+uae: Homepage: http://www.amigaemulator.org/
+uae:
+uae:
+uae:
+uae:
+uae:
diff --git a/system/uae/uae.SlackBuild b/system/uae/uae.SlackBuild
new file mode 100644
index 0000000000..b4447cf9d3
--- /dev/null
+++ b/system/uae/uae.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for uae
+
+# Written by Michalis Pappas mepapp@noc.uoa.gr
+
+PRGNAM=uae
+VERSION=${VERSION:-0.8.29}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvjf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COPYING \
+ docs \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/uae/uae.info b/system/uae/uae.info
new file mode 100644
index 0000000000..22894a8f7a
--- /dev/null
+++ b/system/uae/uae.info
@@ -0,0 +1,10 @@
+PRGNAM="uae"
+VERSION="0.8.29"
+HOMEPAGE="http://www.amigaemulator.org/"
+DOWNLOAD="http://www.amigaemulator.org/files/sources/develop/uae-0.8.29.tar.bz2"
+MD5SUM="54abbabb5e8580b679c52de019141d61"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Michalis Pappas"
+EMAIL="mepapp@noc.uoa.gr"
+APPROVED="Niels Horn"